diff -ur -x '*.c' chicken-1.935.orig/configure chicken-1.935/configure
--- chicken-1.935.orig/configure	2005-04-25 11:23:08.000000000 -0500
+++ chicken-1.935/configure	2005-06-08 15:43:27.000000000 -0500
@@ -23235,12 +23235,16 @@
 echo "${ECHO_T}$ac_export_dynamic" >&6
 
 
+EXTRA_LINK_FLAGS="-Wl,-R%libdir%"
 case "$host_os" in
   *darwin*)
     CFLAGS="$CFLAGS -no-cpp-precomp"
     EXTRA_LINK_FLAGS="";;
-  *)
-    EXTRA_LINK_FLAGS="-Wl,-R%libdir%";;
+  hpux*)
+    case "$host_cpu" in
+      hppa*)
+        EXTRA_LINK_FLAGS="";;
+    esac
 esac
 
 echo "$as_me:$LINENO: checking supplied nursery size" >&5
diff -ur -x '*.c' chicken-1.935.orig/configure.in chicken-1.935/configure.in
--- chicken-1.935.orig/configure.in	2005-04-23 15:13:32.000000000 -0500
+++ chicken-1.935/configure.in	2005-06-08 14:27:23.000000000 -0500
@@ -207,12 +207,16 @@
 
 dnl Checking for additional C flags for Mac OS X.
 AC_SUBST(EXTRA_LINK_FLAGS)
+EXTRA_LINK_FLAGS="-Wl,-R%libdir%"
 case "$host_os" in
   *darwin*) 
     CFLAGS="$CFLAGS -no-cpp-precomp"
     EXTRA_LINK_FLAGS="";;
-  *)
-    EXTRA_LINK_FLAGS="-Wl,-R%libdir%";;
+  hpux*)
+    case "$host_cpu" in
+      hppa*)
+        EXTRA_LINK_FLAGS="";;
+    esac
 esac
 
 dnl Setting the nursery size.
diff -ur -x '*.c' chicken-1.935.orig/csc.scm.in chicken-1.935/csc.scm.in
--- chicken-1.935.orig/csc.scm.in	2005-04-25 11:15:37.000000000 -0500
+++ chicken-1.935/csc.scm.in	2005-06-08 15:14:43.000000000 -0500
@@ -42,6 +42,8 @@
 (define cygwin (eq? (build-platform) 'cygwin))
 (define mingw (eq? (build-platform) 'mingw32))
 (define osx (eq? (software-version) 'macosx))
+(define hpux-hppa (and (eq? (software-version) 'hpux)
+                       (eq? (machine-type) 'hppa)))
 
 (define (homize str) (make-pathname home str))
 (define home (or (getenv "CHICKEN_HOME") ""))
@@ -72,7 +74,9 @@
       (define executable-extension "")
       (define compile-output-flag "-o ")
       (define nonstatic-compilation-options '())
-      (define shared-library-extension (if (or cygwin mingw) "dll" "so")) ) )
+      (define shared-library-extension (cond ((or cygwin mingw) "dll")
+                                             ;(hpux-hppa "sl")
+                                             (else "so")))))
 
 (define default-translation-optimization-options '())
 
@@ -192,7 +196,7 @@
 
 (define link-options
   (cond [win '()]
-	[osx '("-L%libdir%")]
+	[(or osx hpux-hppa) '("-L%libdir%")]
 	[else '("-L%libdir% -Wl,-R%libdir%")] ) )
 
 (define target-filename #f)
diff -ur -x '*.c' chicken-1.935.orig/eval.scm chicken-1.935/eval.scm
--- chicken-1.935.orig/eval.scm	2005-04-25 11:15:37.000000000 -0500
+++ chicken-1.935/eval.scm	2005-06-08 15:18:09.000000000 -0500
@@ -1037,12 +1037,15 @@
 (define ##sys#load-library-extension 	; this is crude...
   (cond [(eq? (software-type) 'windows) windows-load-library-extension]
 	[(eq? (software-version) 'macosx) macosx-load-library-extension]
+	[(and (eq? (software-version) 'hpux) 
+	      (eq? (machine-type) 'hppa)) hppa-load-library-extension]
 	[else default-load-library-extension] ) )
 
 (define ##sys#load-dynamic-extension	; this also...
-  (case (software-version)
-    [(macosx) default-load-library-extension]
-    [else ##sys#load-library-extension] ) )
+  (cond [(eq? (software-version) 'macosx) default-load-library-extension]
+	[(and (eq? (software-version) 'hpux)
+	      (eq? (machine-type) 'hppa)) default-load-library-extension]
+	[else ##sys#load-library-extension] ) )
 
 (define ##sys#default-dynamic-load-libraries
   (case (software-type)
diff -ur -x '*.c' chicken-1.935.orig/parameters.scm chicken-1.935/parameters.scm
--- chicken-1.935.orig/parameters.scm	2005-04-25 11:15:37.000000000 -0500
+++ chicken-1.935/parameters.scm	2005-06-01 16:44:51.000000000 -0500
@@ -81,6 +81,7 @@
 
 (define-constant macosx-load-library-extension ".dylib")
 (define-constant windows-load-library-extension ".dll")
+(define-constant hppa-load-library-extension ".sl")
 (define-constant default-load-library-extension ".so")
 
 (define-constant environment-table-size 301)
